{% extends 'id/id_base.html' %}
{% load static %}

{% block content %}
    <section>
        <div class="spacer">
            <h3 class="mb-5">
                Topik
            </h3>
            <div class="row row-cols-1 row-cols-md-3 g-4 py-3">
                {% for topic, num_thread in trending_topics %}
                    <a class="no-link c-black" href="{% url 'frontend:forum_threads' topic.slug %}">
                        <div class="col">
                            <div class="card">
                                {% if topic.image %}
                                    <img src="{{ topic.image.url }}" class="card-img-top"/>
                                {% else %}
                                    <img src="{% static 'images/common/icons/forum.png' %}" class="card-img-top"/>
                                {% endif %}
                                <div class="card-body">
                                    <div class="text-center">
                                        <h5 class="card-title">{{ topic.title }}</h5>
                                        <p class="card-text">
                                            {{ topic.description }}
                                        </p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </a>
                {% endfor %}
            </div>
        </div>
        <div class="spacer">
            <h4 class="mb-5">
                Semua Topik
            </h4>
            <div class="row">
                {% for topic in topics %}
                    <a class="no-link c-black" href="{% url 'frontend:forum_threads' topic.slug %}">
                        <div class="col-xs-12 col-lg-8">
                            <div class="card mb-3">
                                <div class="row g-0">
                                    <div class="col-md-4">
                                        {% if topic.image %}
                                            <img src="{{ topic.image.url }}" class="img-fluid rounded-start"/>
                                        {% else %}
                                            <img src="{% static 'images/common/icons/forum.png' %}"
                                                 class="img-fluid rounded-start"/>
                                        {% endif %}
                                    </div>
                                    <div class="col-md-8">
                                        <div class="card-body">
                                            <h5 class="card-title">{{ topic.title }}</h5>
                                            <p class="card-text">
                                                {{ topic.description }}
                                            </p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </a>
                {% endfor %}
            </div>
        </div>
    </section>
{% endblock %}

{% block js %}

{% endblock %}

